/*
    "Taming POV-Ray" Part 1 Demo Render: "Playhouse"
    Created by anonymous on 5 Jun 2022
    
    Licensed under CC BY-SA 4.0
    https://creativecommons.org/licenses/by-sa/4.0/
*/

#version 2.0
#include "colors.inc"

camera {location <1,7,-10> look_at <-3.5,1.5,0>}

light_source {<0,10,-5> color White}

plane {y,0 pigment {checker color Red color White}}

/* House */

// Roof
cone {<-3.5,5,0.5>,2.75,<-3.5,6.75,0.5>,0 pigment {color Orange}}

// Right wall
box {<-0.98,0,-1.07>,<-1.98,1,-2.07> pigment {color Blue}}
box {<-1.07,0,0>,<-2.07,1,-1> pigment {color Green}}
box {<-1.04,0,1>,<-2.04,1,0> pigment {color Yellow}}
box {<-1.06,0,2>,<-2.06,1,1> pigment {color Green}}
box {<-1,0,3.07>,<-2,1,2.07> pigment {color Red}}
// Layer 2
box {<-0.91,1,-1.08>,<-1.91,2,-2.08> pigment {color Red}}
box {<-1.02,1,0>,<-2.02,2,-1> pigment {color Green}}
box {<-1.01,1,1>,<-2.01,2,0> pigment {color Blue}}
box {<-1.05,1,2>,<-2.05,2,1> pigment {color Green}}
box {<-1,1,3.09>,<-2,2,2.09> pigment {color Blue}}
//Layer 3
box {<-0.99,2,-1.05>,<-1.99,3,-2.05> pigment {color Blue}}
box {<-1.06,2,0>,<-2.06,3,-1> pigment {color Yellow}}
box {<-1.07,2,1>,<-2.07,3,0> pigment {color Green}}
box {<-1.01,2,2>,<-2.01,3,1> pigment {color Blue}}
box {<-1,2,3.05>,<-2,3,2.05> pigment {color Yellow}}
// Layer 4
box {<-0.94,3,-1.06>,<-1.94,4,-2.06> pigment {color Green}}
box {<-1.05,3,0>,<-2.05,4,-1> pigment {color Blue}}
box {<-1.06,3,1>,<-2.06,4,0> pigment {color Red}}
box {<-1.01,3,2>,<-2.01,4,1> pigment {color Blue}}
box {<-1,3,3.08>,<-2,4,2.08> pigment {color Red}}
//Layer 5
box {<-0.95,4,-1.09>,<-1.95,5,-2.09> pigment {color Red}}
box {<-1.05,4,0>,<-2.05,5,-1> pigment {color Green}}
box {<-1.03,4,1>,<-2.03,5,0> pigment {color Red}}
box {<-1.02,4,2>,<-2.02,5,1> pigment {color Yellow}}
box {<-1,4,3.05>,<-2,5,2.05> pigment {color Blue}}

// Left wall
box {<-5.04,0,-1.08>,<-6.04,1,-2.08> pigment {color Red}}
box {<-5.07,0,0>,<-6.07,1,-1> pigment {color Green}}
box {<-5.05,0,1>,<-6.05,1,0> pigment {color Blue}}
box {<-5.06,0,2>,<-6.06,1,1> pigment {color Green}}
box {<-5.05,0,3.04>,<-6.05,1,2.04> pigment {color Blue}}
// Layer 2
box {<-5.09,1,-1.04>,<-6.09,2,-2.04> pigment {color Green}}
box {<-5.08,1,0>,<-6.08,2,-1> pigment {color Red}}
box {<-5.05,1,1>,<-6.05,2,0> pigment {color Yellow}}
box {<-5.04,1,2>,<-6.04,2,1> pigment {color Blue}}
box {<-5.04,1,3.01>,<-6.04,2,2.01> pigment {color Green}}
//Layer 3
box {<-5.03,2,-1.02>,<-6.03,3,-2.02> pigment {color Yellow}}
box {<-5.01,2,0>,<-6.01,3,-1> pigment {color Blue}}
box {<-5.04,2,1>,<-6.04,3,0> pigment {color Red}}
box {<-5.05,2,2>,<-6.05,3,1> pigment {color Blue}}
box {<-5.06,2,3.03>,<-6.06,3,2.03> pigment {color Red}}
// Layer 4
box {<-5.01,3,-1.03>,<-6.01,4,-2.03> pigment {color Red}}
box {<-5.04,3,0>,<-6.04,4,-1> pigment {color Green}}
box {<-5.08,3,1>,<-6.08,4,0> pigment {color Red}}
box {<-5.01,3,2>,<-6.01,4,1> pigment {color Green}}
box {<-5.04,3,3.06>,<-6.04,4,2.06> pigment {color Red}}
//Layer 5
box {<-5.04,4,-1.05>,<-6.04,5,-2.05> pigment {color Green}}
box {<-5.08,4,0>,<-6.08,5,-1> pigment {color Blue}}
box {<-5.03,4,1>,<-6.03,5,0> pigment {color Red}}
box {<-5.01,4,2>,<-6.01,5,1> pigment {color Green}}
box {<-5.02,4,3.04>,<-6.02,5,2.04> pigment {color Blue}}

// Front wall
box {<-2,0,-1.04>,<-3,1,-2.04> pigment {color Red}}
box {<-2,1,-1.08>,<-3,2,-2.08> pigment {color Blue}}
box {<-2,2,-1.03>,<-3,3,-2.03> pigment {color Yellow}}
box {<-2,3,-1.06>,<-3,4,-2.06> pigment {color Blue}}
box {<-2,4,-1.08>,<-3,5,-2.08> pigment {color Red}}
//Left side
box {<-4,0,-1.09>,<-5,1,-2.09> pigment {color Green}}
box {<-4,1,-1.02>,<-5,2,-2.02> pigment {color Red}}
box {<-4,2,-1.01>,<-5,3,-2.01> pigment {color Green}}
box {<-4,3,-1.02>,<-5,4,-2.02> pigment {color Yellow}}
box {<-4,4,-1.08>,<-5,5,-2.08> pigment {color Green}}
//Awning
box {<-3,3,-1.06>,<-4,4,-2.06> pigment {color Red}}
box {<-3,4,-1.02>,<-4,5,-2.02> pigment {color Blue}}
// Door
box {<-3,0,-1.5>,<-4,3,-1.75> pigment {color Brown}}
sphere {<-3.75,1.5,-1.75>,0.1 pigment {color Yellow}}

// Rear wall
box {<-2,0,3.05>,<-3,1,2.05> pigment {color Green}}
box {<-3,0,3.06>,<-4,1,2.06> pigment {color Red}}
box {<-4,0,3.02>,<-5,1,2.02> pigment {color Green}}
// Layer 2
box {<-2,1,3.08>,<-3,2,2.08> pigment {color Yellow}}
box {<-3,1,3.07>,<-4,2,2.07> pigment {color Blue}}
box {<-4,1,3.01>,<-5,2,2.01> pigment {color Green}}
// Layer 3
box {<-2,2,3.05>,<-3,3,2.05> pigment {color Red}}
box {<-3,2,3.04>,<-4,3,2.04> pigment {color Green}}
box {<-4,2,3.02>,<-5,3,2.02> pigment {color Blue}}
// Layer 4
box {<-2,3,3.09>,<-3,4,2.09> pigment {color Blue}}
box {<-3,3,3.04>,<-4,4,2.04> pigment {color Yellow}}
box {<-4,3,3.05>,<-5,4,2.05> pigment {color Green}}
// Layer 5
box {<-2,4,3.09>,<-3,5,2.09> pigment {color Green}}
box {<-3,4,3.06>,<-4,5,2.06> pigment {color Blue}}
box {<-4,4,3.05>,<-5,5,2.05> pigment {color Green}}

/* Toys */

// Bouncy ball
sphere {<0,0.8,1.5>,0.8 pigment {color Orange}}

// Rubber float
torus {0.8,0.2 pigment {color Yellow}}